# Cocos Creater OutputComponent

## 插件 安裝方式

1. 安裝在 **項目** 底下
> 把插件資料夾放到項目的packages(跟assets同層)

2. 安裝在 **全局** 底下
> 把插件資料夾放到C:\Users\%USERNAME%\.CocosCreator\packages

## 插件稍微說明(都是搬過來的資料  XD)

剩下沒寫的可以到參考資料裡面看看😀

1. 定義你的包描述文件：**package.json**
> **name** String - 定義了包的名字，包的名字是全局唯一的，他關係到你今後在官網服務器上登錄時的名字。
> 
> **version** String - 版本號，我們推薦使用semver格式管理你的包版本。
> 
> **description** String（可选） - 一句話描述你的包是做什麼的。
> 
> **author** String（可选） - 擴展包的作者
> 
> **main** String (可选) - 入口程序
> 
> **scene-script** String (可选) - 調用引擎API 和項目腳本
> 
> **main-menu** Object (可选) - 主菜單定義
> 
> **有要使用介面的話：**
> 
> **panel** Object (可选) - 定義的面板在package裡的描述
> 
> **注意panel的type有兩種：**
> 
> dockable：可停靠面板，打開該面板後，可以通過拖拽面板標籤到編輯器裡，實現擴展面板嵌入到編輯器中。下面我們介紹的面板入口程序都是按照可停靠面板的要求聲明的。
> 
> simple：簡單Web面板，不可停靠到編輯器主窗口，相當於一份通用的HTML前端頁面。詳細情況請見定義簡單面板。
> 
> 在simple-package文件夾下面創建一個panel文件夾,然後在panel文件夾下創建一個index.js或者一個html文件都可以

2. 入口程序：**main.js**

3. 定義介面以及按鈕綁定的方法，和主進程的通信：**index.js**

3. 可以使用包括全部引擎API 和用戶組件腳本里聲明的方法和屬性：**scene-obtain..js**
> 可以在擴展包中獲取到場景裡的Canvas根節點有多少子節點，當然還可以用來對場景節點進行更多的查詢和操作。

## 參考資料

* 你的第一個擴展包
> https://docs.cocos.com/creator/manual/zh/extension/your-first-extension.html

* CocosCreator拓展编辑器
> https://blog.csdn.net/qq_34772097/category_9577457.html

* Cocos Creator Editor 編輯器擴展API記錄
> https://blog.csdn.net/kingbook928/article/details/108659319
> https://blog.csdn.net/qq_17209641/article/details/106822296
> https://forum.cocos.org/t/creator-api/92605